<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>El meu motor</title>
</head>

<body>
    <canvas id="elMeuCanvas" style="background-color: red;">
    
    </canvas>
</body>

<script>
    var altura = "600px";
    var alçada = "600px";
    var elMeuCanvas = document.getElementById("elMeuCanvas");
    elMeuCanvas.width = 600;
    elMeuCanvas.height = 600;
    var ctx = elMeuCanvas.getContext('2d');

    dibuixaPunt(ctx, 100, 100);

    function dibuixaPunt(context, x, y, label, color, size) {
        if (color == null) {
            color = '#000';
        }
        if (size == null) {
            size = 1;
        }
        if (color == null) {
            color = "#ffffff";
        }

        var pointX = Math.round(x);
        var pointY = Math.round(y);

        context.beginPath();
        context.fillStyle = color;
        context.arc(pointX, pointY, size, 0 * Math.PI, 2 * Math.PI);
        context.fill();

        if (label) {
            var textX = pointX;
            var textY = Math.round(pointY - size - 3);

            context.font = 'Italic 14px Arial';
            context.fillStyle = color;
            context.textAlign = 'center';
            context.fillText(label, textX, textY);
        }
    }

    dibuixaLlinea(0, 0, 100, 100);

    function dibuixaLlinea(x1, y1, x2, y2) {

        if (elMeuCanvas.getContext) {
            var ctx = elMeuCanvas.getContext('2d');

            ctx.beginPath();
            ctx.moveTo(x1, y1);
            ctx.lineTo(x2, y2);
            ctx.stroke();
            //ctx.closePath();
            //ctx.fill();
        }
    }
</script>

</html>